﻿// Keep this lines for a best effort IntelliSense of Visual Studio 2017.
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Lib\jquery.d.ts" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\TcHmi.d.ts" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Controls\System\TcHmiControl\Source.d.ts" />

// Keep this lines for a best effort IntelliSense of Visual Studio 2013/2015.
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\Lib\jquery\jquery.js" />
/// <reference path="C:\TwinCAT\Functions\TE2000-HMI-Engineering\Infrastructure\TcHmiFramework\Latest\TcHmi.js" />

(function (TcHmi) {

    var FunctionJS_GridItemClicked = function (GridIdentifier, SelectedRow, SelectedColumn) {
        
        switch (GridIdentifier) {
            case 0:
                {
                    var myControl = TcHmi.Controls.get('TcHmiDatagrid_Employee');
                    if (myControl) {
                        var dataa = myControl.getSrcData();
                        var emplid = dataa[SelectedRow].emplid;
                        var emplfirstname = dataa[SelectedRow].emplfirstname;
                        var empllastname = dataa[SelectedRow].empllastname;
                        var emplstoreid = dataa[SelectedRow].emplstoreid;
                        
                        var firstNameControl = TcHmi.Controls.get('TcHmiTextbox_FirstName');
                        if (firstNameControl) {
                            firstNameControl.setText(emplfirstname);
                        }
                        var lastNameControl = TcHmi.Controls.get('TcHmiTextbox_LastName');
                        if (lastNameControl) {
                            lastNameControl.setText(empllastname);
                        }
                        var storeControl = TcHmi.Controls.get('TcHmiCombobox_Store');
                        if (storeControl) {
                            storeControl.setSelectedIndex(emplstoreid);
                        }
                    }
                }
                break;
            case 1:
                {
                    var myControl = TcHmi.Controls.get('TcHmiDatagrid_Product');
                    if (myControl) {
                        var dataa = myControl.getSrcData();
                        var prdid = dataa[SelectedRow].prdid;
                        var prdname = dataa[SelectedRow].prdname;
                        var prdprice = dataa[SelectedRow].prdprice;
                        //console.log(prdid);
                        //console.log(prdname);
                        //console.log(prdprice);

                        var productNameControl = TcHmi.Controls.get('TcHmiTextbox_ProductName');
                        if (productNameControl) {
                            productNameControl.setText(prdname);
                        }
                        var productPriceControl = TcHmi.Controls.get('TcHmiTextbox_ProductPrice');
                        if (productPriceControl) {
                            productPriceControl.setText(prdprice);
                        }
                    }
                }
                break;
            case 2:
                {
                    var myControl = TcHmi.Controls.get('TcHmiDatagrid_Store');
                    if (myControl) {
                        var dataa = myControl.getSrcData(); 
                        var strid = dataa[SelectedRow].strid;
                        var strname = dataa[SelectedRow].strname;
                        //console.log(strid);
                        //console.log(strname);

                        var storeControl = TcHmi.Controls.get('TcHmiTextbox_Storeid_Insert');
                        if (storeControl) {
                            storeControl.setText(strname);
                        }

                        var storeControl = TcHmi.Controls.get('TcHmiCombobox_Store');
                        if (storeControl) {
                            storeControl.setSelectedIndex(strid);
                        }
                        
                    }
                }
                break;
            case 3:
                {
                    var myControl = TcHmi.Controls.get('TcHmiDatagrid_StoreProduct');
                    if (myControl) {
                        var dataa = myControl.getSrcData();
                        var productid = dataa[SelectedRow].productid;
                        var storeid = dataa[SelectedRow].storeid;
                        //console.log(productid);
                        //console.log(storeid);
                    }
                }
                break;

            default:
                break;
        }
        

    };
    
    TcHmi.Functions.registerFunction('FunctionJS_GridItemClicked', FunctionJS_GridItemClicked);
})(TcHmi);